Subject: Re: Power PC 440GX Jumbo Packets EMAC2/3

From: Gerhard Jaeger <[email-masked]>
Date: Thu, 24 Feb 2005 13:19:06 +0100

On Thursday 24 February 2005 12:46, zDL Linux PPC wrote:
> I have been doing some experiments with Jumbo packets (MTU 9000) and have
> noticed that once you exceed the 2KB fifo size, I end up with no response
> from the box.
> 
> I can ping the box with no problem at all at sizes greater than 2KB, however
> upon further investigation I noticed packets of size 2006 bytes causes no
> further packet to be transmitted (adding debug prints to ibm_emac_core.c,
> the driver believes the packet has been transmitted), after adding a further
> 42 bytes of header information this comes to the exact size of the Transmit
> Fifo 2048 (2KB). I have also changed the Transmit Fifo Register to 1024
> bytes, this solves the problem at 2006 bytes however now it has moved to 982
> bytes of data (+42bytes of header = 1024)
> 
> Has anyone else experienced this problem while either using a smaller
> transmit fifo (512 or 1024 bytes) and  MTU 1500 or a larger MTU (>2033) and
> EMAC transmit fifo of 2048. I guess this will really apply to people with
> larger MTU not many will decrease the Tx fifo, and I am further guessing
> that not many are using 9000 MTU as not much hardware seems to support it, I
> can only use it through a direct connection between PC's and not through a
> switch!
> 
> Any suggestions on how to overcome this problem??? My only idea is to either
> add data to the packet (don't think this will work) or forceably fragment
> the packet (if it is 2K in size) to ensure that it never uses the exact size
> of the tx fifo.....

Have you applied Matt Porters patch? It has been submitted at the beginning
of this month?

Gerhard

-- 
Gerhard Jaeger <[email-masked]>            
SYSGO AG                      Embedded and Real-Time Software
www.sysgo.com | www.elinos.com | www.pikeos.com | www.osek.de